Package x2go :: Module checkhosts :: Class X2GoAutoAddPolicy

[frames] | no frames]

# Class X2GoAutoAddPolicy

source code

                              object --+
                                       |
    paramiko.client.MissingHostKeyPolicy --+
                                           |
                    X2GoMissingHostKeyPolicy --+
                                               |
                                              X2GoAutoAddPolicy

Instance Methods

missing_host_key(self, client, hostname, key) Called when an `.SSHClient` receives a server key for a server that isn't in either the system or local `.HostKeys` object. | source code

Inherited from `X2GoMissingHostKeyPolicy`: `__init__`, `get_client`, `get_hostname`, `get_hostname_name`, `get_hostname_port`, `get_key`, `get_key_fingerprint`, `get_key_fingerprint_with_colons`, `get_key_name`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### missing_host_key(self, client, hostname, key)

source code

Called when an `.SSHClient` receives a server key for a server that isn't in either the system or local `.HostKeys` object. To accept the key, simply return. To reject, raised an exception (which will be passed to the calling application).

Overrides: paramiko.client.MissingHostKeyPolicy.missing_host_key
  (inherited documentation)